import 'package:intl/intl.dart' as intl;

import 'app_localizations.dart';

// ignore_for_file: type=lint

/// The translations for Thai (`th`).
class AppLocalizationsTh extends AppLocalizations {
  AppLocalizationsTh([String locale = 'th']) : super(locale);

  @override
  String get open => 'เปิด';

  @override
  String get settings => 'การตั้งค่า';

  @override
  String get personalization => 'การกำหนดค่าส่วนบุคคล';

  @override
  String get theme => 'ธีม';

  @override
  String get darkTheme => 'ธีมมืด';

  @override
  String get lightTheme => 'ธีมสว่าง';

  @override
  String get systemTheme => 'ใช้ธีมค่าเริ่มต้นระบบ';

  @override
  String get view => 'ดู';

  @override
  String get edit => 'แก้ไข';

  @override
  String get export => 'ส่งออก';

  @override
  String get save => 'บันทึก';

  @override
  String get zoom => 'ขยาย';

  @override
  String get zoomIn => 'ขยายเข้า';

  @override
  String get zoomOut => 'ขยายออก';

  @override
  String get resetZoom => 'ตั้งค่าการขยายใหม่';

  @override
  String get strokeWidth => 'ความกว้างของเส้นขีด';

  @override
  String get includeEraser => 'Include eraser?';

  @override
  String get thinning => 'Thinning';

  @override
  String get pen => 'ปากกา';

  @override
  String get eraser => 'ยางลบ';

  @override
  String get pathEraser => 'Path eraser';

  @override
  String get label => 'ป้ายกำกับ';

  @override
  String get delete => 'ลบ';

  @override
  String get areYouSure => 'คุณแน่ใจไหม?';

  @override
  String get reallyDelete => 'Do you really want to delete this item?';

  @override
  String get no => 'ไม่';

  @override
  String get yes => 'ใช่';

  @override
  String get undo => 'ย้อนกลับ';

  @override
  String get redo => 'ทำใหม่';

  @override
  String get general => 'ทั่วไป';

  @override
  String get copyTitle => 'คัดลอกไปยังคลิปบอร์ดแล้ว';

  @override
  String get loading => 'กำลังโหลด...';

  @override
  String get enterText => 'ป้อนข้อความ';

  @override
  String get size => 'ขนาด';

  @override
  String get width => 'ความกว้าง';

  @override
  String get height => 'ความสูง';

  @override
  String get count => 'จำนวน';

  @override
  String get space => 'เว้นวรรค';

  @override
  String get background => 'พื้นหลัง';

  @override
  String get box => 'กล่อง';

  @override
  String get locale => 'ภาษาท้องถิ่น';

  @override
  String get systemLocale => 'System locale';

  @override
  String get information => 'ข้อมูล';

  @override
  String get license => 'ใบอนุญาต';

  @override
  String get imprint => 'Imprint';

  @override
  String get privacypolicy => 'นโยบายความเป็นส่วนตัว';

  @override
  String get source => 'แหล่งที่มา';

  @override
  String get documentation => 'เอกสาร';

  @override
  String get changelog => 'บันทึกการเปลี่ยนแปลง';

  @override
  String get existOverride => 'This element already exist. Overwrite?';

  @override
  String get description => 'คำอธิบาย';

  @override
  String get fill => 'เติม';

  @override
  String get defaultPalette => 'Default palette';

  @override
  String get highlighter => 'Highlighter';

  @override
  String get add => 'เพิ่ม';

  @override
  String get remove => 'ลบ';

  @override
  String get removeConfirm => 'คุณต้องการลบอันนี้แน่ใจหรือไม่';

  @override
  String get resetPalette => 'Reset palette';

  @override
  String get custom => 'กำหนดเอง';

  @override
  String get decoration => 'การตกแต่ง';

  @override
  String get underline => 'ขีดเส้นใต้';

  @override
  String get overline => 'Overline';

  @override
  String get strikethrough => 'Strikethrough';

  @override
  String get thickness => 'ความหนา';

  @override
  String get style => 'สไตล์';

  @override
  String get solid => 'Solid';

  @override
  String get double => 'สองเท่า';

  @override
  String get dotted => 'จุด';

  @override
  String get dashed => 'Dashed';

  @override
  String get wavy => 'Wavy';

  @override
  String get fontWeight => 'Font weight';

  @override
  String get normal => 'ปกติ';

  @override
  String get bold => 'ตัวหนา';

  @override
  String get italic => 'ตัวเอียง';

  @override
  String get clipboard => 'คลิปบอร์ด';

  @override
  String get file => 'ไฟล์';

  @override
  String get data => 'ข้อมูล';

  @override
  String get share => 'แบ่งปัน';

  @override
  String get spacing => 'Spacing';

  @override
  String get image => 'รูปภาพ';

  @override
  String get enterUrl => 'ป้อน URL';

  @override
  String get scale => 'มาตราส่วน';

  @override
  String get help => 'ช่วยเหลือ';

  @override
  String get reallyReset => 'Do you really want to reset it?';

  @override
  String get whatToDo => 'คุณต้องการจะทำอะไร?';

  @override
  String get ignore => 'ไม่สนใจ';

  @override
  String get backup => 'การสำรองข้อมูล';

  @override
  String createdInNewerVersion(String fileName, int fileVersion) {
    return 'The file $fileName was created in a newer version ($fileVersion). What should be done with this file?';
  }

  @override
  String get waypoints => 'Waypoints';

  @override
  String get origin => 'แหล่งที่มา';

  @override
  String get import => 'นำเข้า';

  @override
  String get newContent => 'ใหม่';

  @override
  String get selectElement => 'Select element';

  @override
  String get ctrlKey => 'Ctrl';

  @override
  String get shiftKey => 'Shift';

  @override
  String get altKey => 'Alt';

  @override
  String get copyVersion => 'คัดลอกรุ่น';

  @override
  String get input => 'นำเข้าข้อมูล';

  @override
  String get behaviors => 'พฤติกรรม';

  @override
  String get dataDirectory => 'Data directory';

  @override
  String get defaultPath => 'Default path';

  @override
  String get dateFormat => 'รูปแบบวันที่';

  @override
  String updatedAt(DateTime dateTime) {
    final intl.DateFormat dateTimeDateFormat = intl.DateFormat('yy-MM-dd H:mm', localeName);
    final String dateTimeString = dateTimeDateFormat.format(dateTime);

    return 'Updated at: $dateTimeString';
  }

  @override
  String createdAt(DateTime dateTime) {
    final intl.DateFormat dateTimeDateFormat = intl.DateFormat('yy-MM-dd H:mm', localeName);
    final String dateTimeString = dateTimeDateFormat.format(dateTime);

    return 'Created at: $dateTimeString';
  }

  @override
  String get rename => 'เปลี่ยนชื่อ';

  @override
  String get duplicate => 'ทำสำเนา';

  @override
  String get hand => 'Hand';

  @override
  String get folder => 'โฟลเดอร์';

  @override
  String get move => 'ย้าย';

  @override
  String get copy => 'คัดลอก';

  @override
  String get back => 'ย้อนกลับ';

  @override
  String get zoomDependent => 'Zoom dependent';

  @override
  String get shapeDetection => 'Shape Detection';

  @override
  String get delay => 'Delay';

  @override
  String get defaultLayer => 'Default layer';

  @override
  String get layer => 'ชั้น';

  @override
  String get layers => 'เลเยอร์';

  @override
  String get notSet => 'ไม่ได้ตั้งค่า';

  @override
  String get enterLayer => 'Enter the layer name';

  @override
  String get selectElements => 'Select elements';

  @override
  String get deleteElements => 'Delete elements';

  @override
  String get deleteElementsConfirm => 'Do you really want to delete the selected elements?';

  @override
  String get selectCustomCollection => 'Select a custom collection';

  @override
  String get svg => 'SVG';

  @override
  String get sensitivity => 'Sensitivity';

  @override
  String get sensitivityHint => 'The higher the value, the more sensitive the input';

  @override
  String get horizontal => 'Horizontal';

  @override
  String get vertical => 'Vertical';

  @override
  String get plain => 'Plain';

  @override
  String get light => 'Light';

  @override
  String get ruled => 'Ruled';

  @override
  String get quad => 'Quad';

  @override
  String get music => 'Music';

  @override
  String get dark => 'Dark';

  @override
  String get plainDark => 'Dark';

  @override
  String get ruledDark => 'Ruled dark';

  @override
  String get quadDark => 'Quad dark';

  @override
  String get musicDark => 'Music dark';

  @override
  String get templates => 'Templates';

  @override
  String get untitled => 'ไม่มีชื่อ';

  @override
  String get createTemplate => 'Create template';

  @override
  String get createTemplateContent => 'Do you really want to create a template from this document? The original document will get deleted.';

  @override
  String get replace => 'แทนที่';

  @override
  String get reallyReplace => 'Do you really want to replace the template? This operation can be not undone!';

  @override
  String get defaultTemplate => 'แม่แบบเริ่มต้น';

  @override
  String get insert => 'แทรก';

  @override
  String get document => 'เอกสาร';

  @override
  String get camera => 'กล้อง';

  @override
  String get printout => 'Printout';

  @override
  String get selectCamera => 'Select a camera';

  @override
  String get changeDocumentPath => 'Change document path';

  @override
  String get deleteWholeStroke => 'Delete whole stroke';

  @override
  String get alpha => 'Alpha';

  @override
  String get area => 'พื้นที่';

  @override
  String get selectArea => 'เลือกพื้นที่';

  @override
  String get aspectRatio => 'Aspect ratio';

  @override
  String get presets => 'Presets';

  @override
  String get pagePortrait => 'Page portrait';

  @override
  String get pageLandscape => 'Page landscape';

  @override
  String get square => 'Square';

  @override
  String get areas => 'Areas';

  @override
  String get enterArea => 'Enter the area';

  @override
  String get exitArea => 'Exit the area';

  @override
  String get currentArea => 'Current area';

  @override
  String get design => 'การออกแบบ';

  @override
  String get text => 'Text';

  @override
  String get welcome => 'Hey, this is Linwood Butterfly';

  @override
  String get welcomeContent => 'A free and open-source drawing space!';

  @override
  String updated(String version) {
    return 'App updated to version $version';
  }

  @override
  String get releaseNotes => 'Release notes';

  @override
  String get constraints => 'Constraints';

  @override
  String get scaled => 'Scaled';

  @override
  String get fixed => 'คงที่';

  @override
  String get dynamicContent => 'Dynamic';

  @override
  String get none => 'ไม่มี';

  @override
  String get includeArea => 'Include area';

  @override
  String get verticalAlignment => 'Vertical alignment';

  @override
  String get horizontalAlignment => 'Horizontal alignment';

  @override
  String get top => 'บน';

  @override
  String get center => 'Center';

  @override
  String get bottom => 'Bottom';

  @override
  String get left => 'Left';

  @override
  String get right => 'Right';

  @override
  String get justify => 'Justify';

  @override
  String get constraint => 'Constraint';

  @override
  String get length => 'Length';

  @override
  String get exportSvg => 'Export SVG';

  @override
  String get pdf => 'PDF';

  @override
  String get selectPages => 'เลือกหน้า';

  @override
  String get recentFiles => 'Recent files';

  @override
  String get start => 'Start';

  @override
  String get noRecentFiles => 'No recent files';

  @override
  String countPages(int count) {
    String _temp0 = intl.Intl.pluralLogic(
      count,
      locale: localeName,
      other: '$count pages',
      one: '1 page',
      zero: 'No pages',
    );
    return '$_temp0';
  }

  @override
  String pageIndex(int index) {
    return 'Page $index';
  }

  @override
  String get exit => 'Exit';

  @override
  String get noElements => 'No elements';

  @override
  String get invertSelection => 'Invert selection';

  @override
  String get errorWhileImporting => 'Error while importing';

  @override
  String get errorWhileImportingContent => 'An error occurred while importing the file';

  @override
  String get showDetails => 'Show details';

  @override
  String get hideDetails => 'Hide details';

  @override
  String get error => 'Error';

  @override
  String get stackTrace => 'Stack trace';

  @override
  String get laser => 'เลเซอร์';

  @override
  String get duration => 'ระยะเวลา';

  @override
  String get quality => 'คุณภาพ';

  @override
  String get exportPdf => 'ส่งออกเป็น PDF';

  @override
  String get local => 'ภาษาท้องถิ่น';

  @override
  String get addConnection => 'Add connection';

  @override
  String get connections => 'Connections';

  @override
  String get noConnections => 'No connections';

  @override
  String get url => 'URL';

  @override
  String get connect => 'เชื่อมต่อ';

  @override
  String get username => 'ชื่อผู้ใช้';

  @override
  String get password => 'รหัสผ่าน';

  @override
  String get webNotSupported => 'Web not supported';

  @override
  String get advanced => 'ตัวเลือกขั้นสูง';

  @override
  String get directory => 'ไดเรกทรอรี';

  @override
  String get documentsDirectory => 'Documents directory';

  @override
  String get templatesDirectory => 'Templates directory';

  @override
  String get errorWhileCreatingConnection => 'Error while creating connection';

  @override
  String get cannotConnect => 'Cannot connect';

  @override
  String get urlNotValid => 'URL not valid';

  @override
  String get icon => 'ไอคอน';

  @override
  String get update => 'อัพเดต';

  @override
  String get updateAvailable => 'Update available';

  @override
  String get stable => 'Stable';

  @override
  String get nightly => 'Nightly';

  @override
  String get checkForUpdates => 'Check for updates';

  @override
  String get checkForUpdatesWarning => 'Performing a check for updates will connect to the Butterfly website to get the information.';

  @override
  String get usingLatestStable => 'You are using the latest stable version';

  @override
  String get usingLatestNightly => 'You are using the latest nightly version';

  @override
  String get currentVersion => 'Current version';

  @override
  String get updateNow => 'Update now';

  @override
  String get shape => 'รูปร่าง';

  @override
  String get circle => 'วงกลม';

  @override
  String get rectangle => 'สี่เหลี่ยม';

  @override
  String get triangle => 'Triangle';

  @override
  String get line => 'เส้น';

  @override
  String get cornerRadius => 'Corner radius';

  @override
  String get topLeft => 'Top left';

  @override
  String get topRight => 'Top right';

  @override
  String get bottomLeft => 'Bottom left';

  @override
  String get bottomRight => 'Bottom right';

  @override
  String get caches => 'แคช';

  @override
  String get manage => 'จัดการ';

  @override
  String get clearCaches => 'Clear caches';

  @override
  String get createCache => 'Create cache';

  @override
  String get thirdPartyLicenses => 'Third party licenses';

  @override
  String get syncing => 'Syncing...';

  @override
  String get synced => 'Synced';

  @override
  String get notSynced => 'Not synced';

  @override
  String get conflict => 'Conflict';

  @override
  String get keepLocal => 'Keep local';

  @override
  String get keepConnection => 'Keep connection';

  @override
  String get keepBoth => 'Keep both';

  @override
  String get forAll => 'For all';

  @override
  String fileConflict(String file, String connection) {
    return '$file in $connection has a conflict';
  }

  @override
  String get offline => 'Offline';

  @override
  String get localLatest => 'Local latest';

  @override
  String get connectionLatest => 'Connection latest';

  @override
  String get path => 'Path';

  @override
  String get folderSynced => 'Folder synced';

  @override
  String get syncRootDirectory => 'Sync root directory';

  @override
  String get penOnlyInput => 'Pen only input';

  @override
  String get inputGestures => 'Input gestures';

  @override
  String get nativeTitleBar => 'Native title bar';

  @override
  String get syncMode => 'Sync mode';

  @override
  String get connection => 'Connection';

  @override
  String get always => 'Always';

  @override
  String get noMobile => 'No mobile';

  @override
  String get manual => 'Manual';

  @override
  String get search => 'Search';

  @override
  String get properties => 'Properties';

  @override
  String get pin => 'Pin';

  @override
  String get unpin => 'Unpin';

  @override
  String get element => 'Element';

  @override
  String get painter => 'Painter';

  @override
  String get position => 'Position';

  @override
  String get note => 'Note';

  @override
  String get packs => 'Packs';

  @override
  String get pack => 'Pack';

  @override
  String get more => 'More';

  @override
  String get askForName => 'Ask for name';

  @override
  String areaIndex(int index) {
    return 'Area $index';
  }

  @override
  String get startInFullScreen => 'Start in full screen';

  @override
  String get inputs => 'Inputs';

  @override
  String get mouse => 'Mouse';

  @override
  String get touch => 'Touch';

  @override
  String get keyboard => 'Keyboard';

  @override
  String get shortcuts => 'Shortcuts';

  @override
  String get middle => 'Middle';

  @override
  String get first => 'First';

  @override
  String get second => 'Second';

  @override
  String get tools => 'Tools';

  @override
  String get showGrid => 'Show grid';

  @override
  String get grid => 'Grid';

  @override
  String get ruler => 'Ruler';

  @override
  String get angle => 'Angle';

  @override
  String get report => 'Report';

  @override
  String get newFolder => 'New folder';

  @override
  String get createPack => 'Create pack';

  @override
  String get editPack => 'Edit pack';

  @override
  String get packsDirectory => 'Packs directory';

  @override
  String get stamp => 'Stamp';

  @override
  String get addToPack => 'Add to pack';

  @override
  String get sureImportPack => 'Are you sure you want to import the pack?';

  @override
  String byAuthor(String author) {
    return 'by $author';
  }

  @override
  String get author => 'Author';

  @override
  String get addAsset => 'Add asset';

  @override
  String get editAsset => 'Edit asset';

  @override
  String get scope => 'Scope';

  @override
  String get noPacks => 'There are currently no packs available';

  @override
  String get components => 'Components';

  @override
  String get waypoint => 'Waypoint';

  @override
  String get actions => 'Actions';

  @override
  String get painters => 'Painters';

  @override
  String get breakingChangesTitle => 'Breaking changes';

  @override
  String breakingChangesMessage(int version, int newVersion) {
    return 'There are breaking changes in this version. Please read the changelog before updating. The current file version is $version, the new version is $newVersion.';
  }

  @override
  String get styles => 'Styles';

  @override
  String get paragraph => 'Paragraph';

  @override
  String get fontFamily => 'Font family';

  @override
  String get smoothing => 'Smoothing';

  @override
  String get streamline => 'Streamline';

  @override
  String get presentation => 'Presentation';

  @override
  String get selectAsset => 'Select asset';

  @override
  String get clearStyle => 'Clear style';

  @override
  String get unknownImportType => 'Unknown import type';

  @override
  String get sureImportTemplate => 'Are you sure you want to import the template?';

  @override
  String get frame => 'Frame';

  @override
  String get play => 'Play';

  @override
  String get video => 'Video';

  @override
  String get fps => 'FPS';

  @override
  String get breakpoint => 'Breakpoint';

  @override
  String get presentationControls => 'Presentation controls';

  @override
  String get nextSlide => 'Next slide';

  @override
  String get nextSlideDescription => 'Swipe to the right or press the right arrow key to go to the next slide';

  @override
  String get previousSlide => 'Previous slide';

  @override
  String get previousSlideDescription => 'Swipe to the left or press the left arrow key to go to the previous slide';

  @override
  String get exitPresentation => 'Exit presentation';

  @override
  String get exitPresentationDescription => 'Press the escape key or swipe down to exit the presentation';

  @override
  String get pausePresentation => 'Pause presentation';

  @override
  String get pausePresentationDescription => 'Tap the screen or press the space bar to pause or resume the presentation';

  @override
  String get keyframe => 'Keyframe';

  @override
  String get endOfPresentation => 'You have reached the end of the presentation';

  @override
  String get startOfPresentation => 'You have reached the start of the presentation';

  @override
  String get palettes => 'Palettes';

  @override
  String headline(int index) {
    return 'Headline $index';
  }

  @override
  String get code => 'Code';

  @override
  String get quote => 'Quote';

  @override
  String get link => 'Link';

  @override
  String get checkbox => 'Checkbox';

  @override
  String get deleted => 'Deleted';

  @override
  String get emphasis => 'Emphasis';

  @override
  String get listBullet => 'List bullet';

  @override
  String get strong => 'Strong';

  @override
  String get markdown => 'Markdown';

  @override
  String get home => 'Home';

  @override
  String get files => 'Files';

  @override
  String get sortBy => 'Sort by';

  @override
  String get location => 'Location';

  @override
  String get whatsNew => 'What\'s new?';

  @override
  String get unstar => 'Unstar';

  @override
  String get star => 'Star';

  @override
  String get goUp => 'Go up';

  @override
  String get created => 'Created';

  @override
  String get modified => 'Modified';

  @override
  String get quickstart => 'Quickstart';

  @override
  String get noTemplates => 'There are currently no templates available';

  @override
  String get importCorePack => 'Import core pack';

  @override
  String get importCorePackDescription => 'Import the core pack that contains all basic assets to get started. This will override the current core pack.';

  @override
  String get never => 'Never';

  @override
  String get onlyOnUpdates => 'Only on updates';

  @override
  String get visibility => 'Visibility';

  @override
  String get captureThumbnail => 'Capture thumbnail';

  @override
  String get capturedThumbnail => 'Successfully captured thumbnail';

  @override
  String get chooseLabelMode => 'Choose label mode';

  @override
  String get foreground => 'Foreground';

  @override
  String get version => 'Version';

  @override
  String get repository => 'Repository';

  @override
  String get pages => 'Pages';

  @override
  String get navigator => 'Navigator';

  @override
  String get arrange => 'Arrange';

  @override
  String get bringToFront => 'Bring to front';

  @override
  String get sendToBack => 'Send to back';

  @override
  String get bringForward => 'Bring forward';

  @override
  String get sendBackward => 'Send backward';

  @override
  String get rotation => 'Rotation';

  @override
  String get onlyAvailableLargerScreen => 'Only available on larger screens';

  @override
  String get toolbarPosition => 'Toolbar position';

  @override
  String get rotate => 'Rotate';

  @override
  String get spacer => 'Spacer';

  @override
  String get navigationRail => 'Navigation rail';

  @override
  String get cut => 'Cut';

  @override
  String get insertBefore => 'Insert before';

  @override
  String get insertAfter => 'Insert after';

  @override
  String get insertFirst => 'Insert first';

  @override
  String get insertLast => 'Insert last';

  @override
  String get paste => 'Paste';

  @override
  String get ascending => 'Ascending';

  @override
  String get descending => 'Descending';

  @override
  String get imageScale => 'Image scale';

  @override
  String get select => 'Select';

  @override
  String get tool => 'Tool';

  @override
  String get texture => 'Texture';

  @override
  String get platformTheme => 'Platform theme';

  @override
  String get desktop => 'Desktop';

  @override
  String get mobile => 'Mobile';

  @override
  String get pdfQuality => 'PDF quality';

  @override
  String get surface => 'Surface';

  @override
  String get pattern => 'Pattern';

  @override
  String get sureClose => 'Are you sure you want to close the document?';

  @override
  String get thereAreUnsavedChanges => 'There are unsaved changes';

  @override
  String get page => 'Page';

  @override
  String get iceServers => 'ICE Servers';

  @override
  String get collaboration => 'Collaboration';

  @override
  String get webRtc => 'Web RTC';

  @override
  String get webSocket => 'Web Socket';

  @override
  String get iceServer => 'ICE Server';

  @override
  String get port => 'Port';

  @override
  String get type => 'Type';

  @override
  String get side => 'Side';

  @override
  String get client => 'Client';

  @override
  String get server => 'Server';

  @override
  String get switchView => 'Switch View';

  @override
  String get lasso => 'Lasso';

  @override
  String get hideUI => 'Hide UI';

  @override
  String get density => 'Density';

  @override
  String get compact => 'Compact';

  @override
  String get comfortable => 'Comfortable';

  @override
  String get standard => 'Standard';

  @override
  String get lock => 'Lock';

  @override
  String get addElement => 'Add element';

  @override
  String get notDefaultConnection => 'Not default connection';

  @override
  String get defaultConnection => 'Default connection';

  @override
  String get hide => 'Hide';

  @override
  String get show => 'Show';

  @override
  String get pause => 'Pause';

  @override
  String get stop => 'Stop';

  @override
  String get refresh => 'Refresh';

  @override
  String get print => 'Print';

  @override
  String get dav => 'DAV';

  @override
  String get eyeDropper => 'Eye dropper';

  @override
  String get users => 'Users';

  @override
  String get experiments => 'Experiments';

  @override
  String get address => 'Address';

  @override
  String get spreadToPages => 'Spread to pages';

  @override
  String get rootDirectorySpecifiedDescription => 'The root directory is specified. All advanced directory paths will be relative to this directory. Keep it empty to disable this directory type.';

  @override
  String get rootDirectoryNotSpecifiedDescription => 'The root directory is not specified. A name is required. All advanced directory paths will be absolute. Keep it empty to disable this directory type.';

  @override
  String get unsecureConnectionTitle => 'Unsecure connection';

  @override
  String unsecureConnectionMessage(String fingerprint) {
    return 'The connection is not secure. This can be a security risk. Please only continue if you trust the connection. The sha1 fingerprint is $fingerprint.';
  }

  @override
  String get continueAnyway => 'Continue anyway';

  @override
  String get zoomControl => 'Zoom control';

  @override
  String get highContrast => 'High contrast';

  @override
  String get shouldANumber => 'This value should be valid number';

  @override
  String get createAreas => 'Create areas';

  @override
  String get autosave => 'Autosave';

  @override
  String get invert => 'Invert';

  @override
  String get operations => 'Operations';

  @override
  String get medium => 'Medium';

  @override
  String get large => 'Large';

  @override
  String get toolbarSize => 'Toolbar size';

  @override
  String get addAll => 'Add all';

  @override
  String get onlyCurrentPage => 'Only current page';

  @override
  String get smoothNavigation => 'Smooth navigation';

  @override
  String get exact => 'Exact';

  @override
  String get inline => 'Inline';

  @override
  String get toolbarRows => 'Toolbar rows';

  @override
  String get pointerTest => 'Pointer test';

  @override
  String get pressure => 'Pressure';

  @override
  String get small => 'Small';

  @override
  String get tiny => 'Tiny';

  @override
  String get selectAll => 'Select all';

  @override
  String get overrideTools => 'Override tools';

  @override
  String get hideCursorWhileDrawing => 'Hide cursor while drawing';

  @override
  String get installed => 'Installed';

  @override
  String get install => 'Install';

  @override
  String get deselect => 'Deselect';

  @override
  String get changeCollection => 'Change collection';

  @override
  String get collections => 'Collections';

  @override
  String get fullSelection => 'Full selection';

  @override
  String get fullSelectionDescription => 'Requires elements to be fully within the selection box for selection.';

  @override
  String get collection => 'Collection';

  @override
  String get defaultCollection => 'Default collection';

  @override
  String get scroll => 'Scroll';

  @override
  String get onStartup => 'On startup';

  @override
  String get homeScreen => 'Home screen';

  @override
  String get lastNote => 'Last note';

  @override
  String get newNote => 'New note';

  @override
  String get convertToLayer => 'Convert to layer';

  @override
  String get merge => 'Merge';

  @override
  String get up => 'Up';

  @override
  String get down => 'Down';

  @override
  String get other => 'Other';

  @override
  String countElements(int count) {
    String _temp0 = intl.Intl.pluralLogic(
      count,
      locale: localeName,
      other: '$count elements',
      one: '1 element',
      zero: 'No elements',
    );
    return '$_temp0';
  }

  @override
  String get colorToolbar => 'Color toolbar';

  @override
  String get yesButShowButtons => 'Yes, but show buttons';

  @override
  String get optionsPanelPosition => 'Options panel position';

  @override
  String get hideDuration => 'Hide duration';

  @override
  String get animation => 'Animation';

  @override
  String get performance => 'Performance';

  @override
  String get performanceDescription => 'Optimized for speed and memory usage. Only the visible portion of the note is baked into the image.';

  @override
  String get normalDescription => 'Balances quality and performance. Bakes an image covering 1.5 times the visible area, providing smoother transitions when scrolling.';

  @override
  String get high => 'High';

  @override
  String get highDescription => 'Description: Maximizes quality at the cost of performance. Bakes an image covering 2 times the visible area, ensuring seamless rendering even during rapid scrolling or zooming.';

  @override
  String get renderResolution => 'Render resolution';

  @override
  String get translate => 'Translate';

  @override
  String get unencrypted => 'Unencrypted';

  @override
  String get encrypted => 'Encrypted';

  @override
  String get encryptDocumentMessage => 'Click to encrypt the document';

  @override
  String get unencryptDocumentMessage => 'Click to unencrypt the document';

  @override
  String get unencrypt => 'Unencrypt';

  @override
  String get encrypt => 'Encrypt';

  @override
  String get encryptWarning => 'This will encrypt the document. You will need to remember the password to decrypt it.';

  @override
  String get unencryptWarning => 'This will unencrypt the document. The password will be removed and everyone with access will be able to open it.';

  @override
  String get confirmPassword => 'Confirm password';

  @override
  String get passwordMismatch => 'The passwords do not match';

  @override
  String get action => 'Action';

  @override
  String get svgText => 'SVG Text';

  @override
  String get offset => 'Offset';
}
