# Security Policy

## Reporting a Vulnerability

This project is maintained on a voluntary basis, and there is no formal support or dedicated security team. 
However, we still take security vulnerabilities seriously and appreciate your effort in reporting them.

### How to Report

1. **GitHub Issue:** Create an issue in this repository to report the vulnerability.
2. **Tagging:** Tag the repository owner or maintainer in the issue to ensure it gets noticed.
3. **Details to Include:**
    - A description of the vulnerability and its potential impact.
    - Steps to reproduce the issue.
    - Any relevant logs or screenshots.
    - Potential solutions or fixes if you have any.

### Response Time

As this project is maintained by volunteers, response times may vary. 
We aim to respond to vulnerability reports as soon as possible, 
but please understand that there may be delays.

## Supported Versions

Security updates, if any, will be applied to the latest version of the repository. 
Older versions may not receive security updates due to limited resources.

## Security Measures

### Code Review

- Contributions are reviewed by volunteers before being merged.

### Dependency Management

- Efforts are made to keep dependencies up to date, but this is not guaranteed.

### Security Testing

- Basic security testing is performed, but there may be gaps due to limited resources.

## Disclaimer

This project is provided "as is" without any warranty. 
There is no obligation to provide maintenance, support, updates, enhancements, or modifications.

## Contact

If you have any questions or concerns about our security policy, please create an issue in this repository and tag @minikin.

---

By following this security policy, we aim to address security concerns within the limitations of our volunteer-based project.
