import 'dart:ui' show Offset;

import 'package:one_dollar_unistroke_recognizer/src/unistroke.dart';

/// The example set of unistroke templates,
/// taken from the JavaScript version of the $1 recognizer.
///
/// I wouldn't recommend using these templates in a real app,
/// since they were probably intended to just be a proof-of-concept.
final example$1Unistrokes = List<Unistroke<String>>.unmodifiable([
  Unistroke('triangle', const [
    Offset(137, 139),
    Offset(135, 141),
    Offset(133, 144),
    Offset(132, 146),
    Offset(130, 149),
    Offset(128, 151),
    Offset(126, 155),
    Offset(123, 160),
    Offset(120, 166),
    Offset(116, 171),
    Offset(112, 177),
    Offset(107, 183),
    Offset(102, 188),
    Offset(100, 191),
    Offset(95, 195),
    Offset(90, 199),
    Offset(86, 203),
    Offset(82, 206),
    Offset(80, 209),
    Offset(75, 213),
    Offset(73, 213),
    Offset(70, 216),
    Offset(67, 219),
    Offset(64, 221),
    Offset(61, 223),
    Offset(60, 225),
    Offset(62, 226),
    Offset(65, 225),
    Offset(67, 226),
    Offset(74, 226),
    Offset(77, 227),
    Offset(85, 229),
    Offset(91, 230),
    Offset(99, 231),
    Offset(108, 232),
    Offset(116, 233),
    Offset(125, 233),
    Offset(134, 234),
    Offset(145, 233),
    Offset(153, 232),
    Offset(160, 233),
    Offset(170, 234),
    Offset(177, 235),
    Offset(179, 236),
    Offset(186, 237),
    Offset(193, 238),
    Offset(198, 239),
    Offset(200, 237),
    Offset(202, 239),
    Offset(204, 238),
    Offset(206, 234),
    Offset(205, 230),
    Offset(202, 222),
    Offset(197, 216),
    Offset(192, 207),
    Offset(186, 198),
    Offset(179, 189),
    Offset(174, 183),
    Offset(170, 178),
    Offset(164, 171),
    Offset(161, 168),
    Offset(154, 160),
    Offset(148, 155),
    Offset(143, 150),
    Offset(138, 148),
    Offset(136, 148)
  ]),
  Unistroke('x', const [
    Offset(87, 142),
    Offset(89, 145),
    Offset(91, 148),
    Offset(93, 151),
    Offset(96, 155),
    Offset(98, 157),
    Offset(100, 160),
    Offset(102, 162),
    Offset(106, 167),
    Offset(108, 169),
    Offset(110, 171),
    Offset(115, 177),
    Offset(119, 183),
    Offset(123, 189),
    Offset(127, 193),
    Offset(129, 196),
    Offset(133, 200),
    Offset(137, 206),
    Offset(140, 209),
    Offset(143, 212),
    Offset(146, 215),
    Offset(151, 220),
    Offset(153, 222),
    Offset(155, 223),
    Offset(157, 225),
    Offset(158, 223),
    Offset(157, 218),
    Offset(155, 211),
    Offset(154, 208),
    Offset(152, 200),
    Offset(150, 189),
    Offset(148, 179),
    Offset(147, 170),
    Offset(147, 158),
    Offset(147, 148),
    Offset(147, 141),
    Offset(147, 136),
    Offset(144, 135),
    Offset(142, 137),
    Offset(140, 139),
    Offset(135, 145),
    Offset(131, 152),
    Offset(124, 163),
    Offset(116, 177),
    Offset(108, 191),
    Offset(100, 206),
    Offset(94, 217),
    Offset(91, 222),
    Offset(89, 225),
    Offset(87, 226),
    Offset(87, 224)
  ]),
  Unistroke('rectangle', const [
    Offset(78, 149),
    Offset(78, 153),
    Offset(78, 157),
    Offset(78, 160),
    Offset(79, 162),
    Offset(79, 164),
    Offset(79, 167),
    Offset(79, 169),
    Offset(79, 173),
    Offset(79, 178),
    Offset(79, 183),
    Offset(80, 189),
    Offset(80, 193),
    Offset(80, 198),
    Offset(80, 202),
    Offset(81, 208),
    Offset(81, 210),
    Offset(81, 216),
    Offset(82, 222),
    Offset(82, 224),
    Offset(82, 227),
    Offset(83, 229),
    Offset(83, 231),
    Offset(85, 230),
    Offset(88, 232),
    Offset(90, 233),
    Offset(92, 232),
    Offset(94, 233),
    Offset(99, 232),
    Offset(102, 233),
    Offset(106, 233),
    Offset(109, 234),
    Offset(117, 235),
    Offset(123, 236),
    Offset(126, 236),
    Offset(135, 237),
    Offset(142, 238),
    Offset(145, 238),
    Offset(152, 238),
    Offset(154, 239),
    Offset(165, 238),
    Offset(174, 237),
    Offset(179, 236),
    Offset(186, 235),
    Offset(191, 235),
    Offset(195, 233),
    Offset(197, 233),
    Offset(200, 233),
    Offset(201, 235),
    Offset(201, 233),
    Offset(199, 231),
    Offset(198, 226),
    Offset(198, 220),
    Offset(196, 207),
    Offset(195, 195),
    Offset(195, 181),
    Offset(195, 173),
    Offset(195, 163),
    Offset(194, 155),
    Offset(192, 145),
    Offset(192, 143),
    Offset(192, 138),
    Offset(191, 135),
    Offset(191, 133),
    Offset(191, 130),
    Offset(190, 128),
    Offset(188, 129),
    Offset(186, 129),
    Offset(181, 132),
    Offset(173, 131),
    Offset(162, 131),
    Offset(151, 132),
    Offset(149, 132),
    Offset(138, 132),
    Offset(136, 132),
    Offset(122, 131),
    Offset(120, 131),
    Offset(109, 130),
    Offset(107, 130),
    Offset(90, 132),
    Offset(81, 133),
    Offset(76, 133)
  ]),
  Unistroke('circle', const [
    Offset(127, 141),
    Offset(124, 140),
    Offset(120, 139),
    Offset(118, 139),
    Offset(116, 139),
    Offset(111, 140),
    Offset(109, 141),
    Offset(104, 144),
    Offset(100, 147),
    Offset(96, 152),
    Offset(93, 157),
    Offset(90, 163),
    Offset(87, 169),
    Offset(85, 175),
    Offset(83, 181),
    Offset(82, 190),
    Offset(82, 195),
    Offset(83, 200),
    Offset(84, 205),
    Offset(88, 213),
    Offset(91, 216),
    Offset(96, 219),
    Offset(103, 222),
    Offset(108, 224),
    Offset(111, 224),
    Offset(120, 224),
    Offset(133, 223),
    Offset(142, 222),
    Offset(152, 218),
    Offset(160, 214),
    Offset(167, 210),
    Offset(173, 204),
    Offset(178, 198),
    Offset(179, 196),
    Offset(182, 188),
    Offset(182, 177),
    Offset(178, 167),
    Offset(170, 150),
    Offset(163, 138),
    Offset(152, 130),
    Offset(143, 129),
    Offset(140, 131),
    Offset(129, 136),
    Offset(126, 139)
  ]),
  Unistroke('check', const [
    Offset(91, 185),
    Offset(93, 185),
    Offset(95, 185),
    Offset(97, 185),
    Offset(100, 188),
    Offset(102, 189),
    Offset(104, 190),
    Offset(106, 193),
    Offset(108, 195),
    Offset(110, 198),
    Offset(112, 201),
    Offset(114, 204),
    Offset(115, 207),
    Offset(117, 210),
    Offset(118, 212),
    Offset(120, 214),
    Offset(121, 217),
    Offset(122, 219),
    Offset(123, 222),
    Offset(124, 224),
    Offset(126, 226),
    Offset(127, 229),
    Offset(129, 231),
    Offset(130, 233),
    Offset(129, 231),
    Offset(129, 228),
    Offset(129, 226),
    Offset(129, 224),
    Offset(129, 221),
    Offset(129, 218),
    Offset(129, 212),
    Offset(129, 208),
    Offset(130, 198),
    Offset(132, 189),
    Offset(134, 182),
    Offset(137, 173),
    Offset(143, 164),
    Offset(147, 157),
    Offset(151, 151),
    Offset(155, 144),
    Offset(161, 137),
    Offset(165, 131),
    Offset(171, 122),
    Offset(174, 118),
    Offset(176, 114),
    Offset(177, 112),
    Offset(177, 114),
    Offset(175, 116),
    Offset(173, 118)
  ]),
  Unistroke('caret', const [
    Offset(79, 245),
    Offset(79, 242),
    Offset(79, 239),
    Offset(80, 237),
    Offset(80, 234),
    Offset(81, 232),
    Offset(82, 230),
    Offset(84, 224),
    Offset(86, 220),
    Offset(86, 218),
    Offset(87, 216),
    Offset(88, 213),
    Offset(90, 207),
    Offset(91, 202),
    Offset(92, 200),
    Offset(93, 194),
    Offset(94, 192),
    Offset(96, 189),
    Offset(97, 186),
    Offset(100, 179),
    Offset(102, 173),
    Offset(105, 165),
    Offset(107, 160),
    Offset(109, 158),
    Offset(112, 151),
    Offset(115, 144),
    Offset(117, 139),
    Offset(119, 136),
    Offset(119, 134),
    Offset(120, 132),
    Offset(121, 129),
    Offset(122, 127),
    Offset(124, 125),
    Offset(126, 124),
    Offset(129, 125),
    Offset(131, 127),
    Offset(132, 130),
    Offset(136, 139),
    Offset(141, 154),
    Offset(145, 166),
    Offset(151, 182),
    Offset(156, 193),
    Offset(157, 196),
    Offset(161, 209),
    Offset(162, 211),
    Offset(167, 223),
    Offset(169, 229),
    Offset(170, 231),
    Offset(173, 237),
    Offset(176, 242),
    Offset(177, 244),
    Offset(179, 250),
    Offset(181, 255),
    Offset(182, 257)
  ]),
  Unistroke('zig-zag', const [
    Offset(307, 216),
    Offset(333, 186),
    Offset(356, 215),
    Offset(375, 186),
    Offset(399, 216),
    Offset(418, 186)
  ]),
  Unistroke('arrow', const [
    Offset(68, 222),
    Offset(70, 220),
    Offset(73, 218),
    Offset(75, 217),
    Offset(77, 215),
    Offset(80, 213),
    Offset(82, 212),
    Offset(84, 210),
    Offset(87, 209),
    Offset(89, 208),
    Offset(92, 206),
    Offset(95, 204),
    Offset(101, 201),
    Offset(106, 198),
    Offset(112, 194),
    Offset(118, 191),
    Offset(124, 187),
    Offset(127, 186),
    Offset(132, 183),
    Offset(138, 181),
    Offset(141, 180),
    Offset(146, 178),
    Offset(154, 173),
    Offset(159, 171),
    Offset(161, 170),
    Offset(166, 167),
    Offset(168, 167),
    Offset(171, 166),
    Offset(174, 164),
    Offset(177, 162),
    Offset(180, 160),
    Offset(182, 158),
    Offset(183, 156),
    Offset(181, 154),
    Offset(178, 153),
    Offset(171, 153),
    Offset(164, 153),
    Offset(160, 153),
    Offset(150, 154),
    Offset(147, 155),
    Offset(141, 157),
    Offset(137, 158),
    Offset(135, 158),
    Offset(137, 158),
    Offset(140, 157),
    Offset(143, 156),
    Offset(151, 154),
    Offset(160, 152),
    Offset(170, 149),
    Offset(179, 147),
    Offset(185, 145),
    Offset(192, 144),
    Offset(196, 144),
    Offset(198, 144),
    Offset(200, 144),
    Offset(201, 147),
    Offset(199, 149),
    Offset(194, 157),
    Offset(191, 160),
    Offset(186, 167),
    Offset(180, 176),
    Offset(177, 179),
    Offset(171, 187),
    Offset(169, 189),
    Offset(165, 194),
    Offset(164, 196)
  ]),
  Unistroke('left square bracket', const [
    Offset(140, 124),
    Offset(138, 123),
    Offset(135, 122),
    Offset(133, 123),
    Offset(130, 123),
    Offset(128, 124),
    Offset(125, 125),
    Offset(122, 124),
    Offset(120, 124),
    Offset(118, 124),
    Offset(116, 125),
    Offset(113, 125),
    Offset(111, 125),
    Offset(108, 124),
    Offset(106, 125),
    Offset(104, 125),
    Offset(102, 124),
    Offset(100, 123),
    Offset(98, 123),
    Offset(95, 124),
    Offset(93, 123),
    Offset(90, 124),
    Offset(88, 124),
    Offset(85, 125),
    Offset(83, 126),
    Offset(81, 127),
    Offset(81, 129),
    Offset(82, 131),
    Offset(82, 134),
    Offset(83, 138),
    Offset(84, 141),
    Offset(84, 144),
    Offset(85, 148),
    Offset(85, 151),
    Offset(86, 156),
    Offset(86, 160),
    Offset(86, 164),
    Offset(86, 168),
    Offset(87, 171),
    Offset(87, 175),
    Offset(87, 179),
    Offset(87, 182),
    Offset(87, 186),
    Offset(88, 188),
    Offset(88, 195),
    Offset(88, 198),
    Offset(88, 201),
    Offset(88, 207),
    Offset(89, 211),
    Offset(89, 213),
    Offset(89, 217),
    Offset(89, 222),
    Offset(88, 225),
    Offset(88, 229),
    Offset(88, 231),
    Offset(88, 233),
    Offset(88, 235),
    Offset(89, 237),
    Offset(89, 240),
    Offset(89, 242),
    Offset(91, 241),
    Offset(94, 241),
    Offset(96, 240),
    Offset(98, 239),
    Offset(105, 240),
    Offset(109, 240),
    Offset(113, 239),
    Offset(116, 240),
    Offset(121, 239),
    Offset(130, 240),
    Offset(136, 237),
    Offset(139, 237),
    Offset(144, 238),
    Offset(151, 237),
    Offset(157, 236),
    Offset(159, 237)
  ]),
  Unistroke('right square bracket', const [
    Offset(112, 138),
    Offset(112, 136),
    Offset(115, 136),
    Offset(118, 137),
    Offset(120, 136),
    Offset(123, 136),
    Offset(125, 136),
    Offset(128, 136),
    Offset(131, 136),
    Offset(134, 135),
    Offset(137, 135),
    Offset(140, 134),
    Offset(143, 133),
    Offset(145, 132),
    Offset(147, 132),
    Offset(149, 132),
    Offset(152, 132),
    Offset(153, 134),
    Offset(154, 137),
    Offset(155, 141),
    Offset(156, 144),
    Offset(157, 152),
    Offset(158, 161),
    Offset(160, 170),
    Offset(162, 182),
    Offset(164, 192),
    Offset(166, 200),
    Offset(167, 209),
    Offset(168, 214),
    Offset(168, 216),
    Offset(169, 221),
    Offset(169, 223),
    Offset(169, 228),
    Offset(169, 231),
    Offset(166, 233),
    Offset(164, 234),
    Offset(161, 235),
    Offset(155, 236),
    Offset(147, 235),
    Offset(140, 233),
    Offset(131, 233),
    Offset(124, 233),
    Offset(117, 235),
    Offset(114, 238),
    Offset(112, 238)
  ]),
  Unistroke('v', const [
    Offset(89, 164),
    Offset(90, 162),
    Offset(92, 162),
    Offset(94, 164),
    Offset(95, 166),
    Offset(96, 169),
    Offset(97, 171),
    Offset(99, 175),
    Offset(101, 178),
    Offset(103, 182),
    Offset(106, 189),
    Offset(108, 194),
    Offset(111, 199),
    Offset(114, 204),
    Offset(117, 209),
    Offset(119, 214),
    Offset(122, 218),
    Offset(124, 222),
    Offset(126, 225),
    Offset(128, 228),
    Offset(130, 229),
    Offset(133, 233),
    Offset(134, 236),
    Offset(136, 239),
    Offset(138, 240),
    Offset(139, 242),
    Offset(140, 244),
    Offset(142, 242),
    Offset(142, 240),
    Offset(142, 237),
    Offset(143, 235),
    Offset(143, 233),
    Offset(145, 229),
    Offset(146, 226),
    Offset(148, 217),
    Offset(149, 208),
    Offset(149, 205),
    Offset(151, 196),
    Offset(151, 193),
    Offset(153, 182),
    Offset(155, 172),
    Offset(157, 165),
    Offset(159, 160),
    Offset(162, 155),
    Offset(164, 150),
    Offset(165, 148),
    Offset(166, 146)
  ]),
  Unistroke('delete', const [
    Offset(123, 129),
    Offset(123, 131),
    Offset(124, 133),
    Offset(125, 136),
    Offset(127, 140),
    Offset(129, 142),
    Offset(133, 148),
    Offset(137, 154),
    Offset(143, 158),
    Offset(145, 161),
    Offset(148, 164),
    Offset(153, 170),
    Offset(158, 176),
    Offset(160, 178),
    Offset(164, 183),
    Offset(168, 188),
    Offset(171, 191),
    Offset(175, 196),
    Offset(178, 200),
    Offset(180, 202),
    Offset(181, 205),
    Offset(184, 208),
    Offset(186, 210),
    Offset(187, 213),
    Offset(188, 215),
    Offset(186, 212),
    Offset(183, 211),
    Offset(177, 208),
    Offset(169, 206),
    Offset(162, 205),
    Offset(154, 207),
    Offset(145, 209),
    Offset(137, 210),
    Offset(129, 214),
    Offset(122, 217),
    Offset(118, 218),
    Offset(111, 221),
    Offset(109, 222),
    Offset(110, 219),
    Offset(112, 217),
    Offset(118, 209),
    Offset(120, 207),
    Offset(128, 196),
    Offset(135, 187),
    Offset(138, 183),
    Offset(148, 167),
    Offset(157, 153),
    Offset(163, 145),
    Offset(165, 142),
    Offset(172, 133),
    Offset(177, 127),
    Offset(179, 127),
    Offset(180, 125)
  ]),
  Unistroke('left curly brace', const [
    Offset(150, 116),
    Offset(147, 117),
    Offset(145, 116),
    Offset(142, 116),
    Offset(139, 117),
    Offset(136, 117),
    Offset(133, 118),
    Offset(129, 121),
    Offset(126, 122),
    Offset(123, 123),
    Offset(120, 125),
    Offset(118, 127),
    Offset(115, 128),
    Offset(113, 129),
    Offset(112, 131),
    Offset(113, 134),
    Offset(115, 134),
    Offset(117, 135),
    Offset(120, 135),
    Offset(123, 137),
    Offset(126, 138),
    Offset(129, 140),
    Offset(135, 143),
    Offset(137, 144),
    Offset(139, 147),
    Offset(141, 149),
    Offset(140, 152),
    Offset(139, 155),
    Offset(134, 159),
    Offset(131, 161),
    Offset(124, 166),
    Offset(121, 166),
    Offset(117, 166),
    Offset(114, 167),
    Offset(112, 166),
    Offset(114, 164),
    Offset(116, 163),
    Offset(118, 163),
    Offset(120, 162),
    Offset(122, 163),
    Offset(125, 164),
    Offset(127, 165),
    Offset(129, 166),
    Offset(130, 168),
    Offset(129, 171),
    Offset(127, 175),
    Offset(125, 179),
    Offset(123, 184),
    Offset(121, 190),
    Offset(120, 194),
    Offset(119, 199),
    Offset(120, 202),
    Offset(123, 207),
    Offset(127, 211),
    Offset(133, 215),
    Offset(142, 219),
    Offset(148, 220),
    Offset(151, 221)
  ]),
  Unistroke('right curly brace', const [
    Offset(117, 132),
    Offset(115, 132),
    Offset(115, 129),
    Offset(117, 129),
    Offset(119, 128),
    Offset(122, 127),
    Offset(125, 127),
    Offset(127, 127),
    Offset(130, 127),
    Offset(133, 129),
    Offset(136, 129),
    Offset(138, 130),
    Offset(140, 131),
    Offset(143, 134),
    Offset(144, 136),
    Offset(145, 139),
    Offset(145, 142),
    Offset(145, 145),
    Offset(145, 147),
    Offset(145, 149),
    Offset(144, 152),
    Offset(142, 157),
    Offset(141, 160),
    Offset(139, 163),
    Offset(137, 166),
    Offset(135, 167),
    Offset(133, 169),
    Offset(131, 172),
    Offset(128, 173),
    Offset(126, 176),
    Offset(125, 178),
    Offset(125, 180),
    Offset(125, 182),
    Offset(126, 184),
    Offset(128, 187),
    Offset(130, 187),
    Offset(132, 188),
    Offset(135, 189),
    Offset(140, 189),
    Offset(145, 189),
    Offset(150, 187),
    Offset(155, 186),
    Offset(157, 185),
    Offset(159, 184),
    Offset(156, 185),
    Offset(154, 185),
    Offset(149, 185),
    Offset(145, 187),
    Offset(141, 188),
    Offset(136, 191),
    Offset(134, 191),
    Offset(131, 192),
    Offset(129, 193),
    Offset(129, 195),
    Offset(129, 197),
    Offset(131, 200),
    Offset(133, 202),
    Offset(136, 206),
    Offset(139, 211),
    Offset(142, 215),
    Offset(145, 220),
    Offset(147, 225),
    Offset(148, 231),
    Offset(147, 239),
    Offset(144, 244),
    Offset(139, 248),
    Offset(134, 250),
    Offset(126, 253),
    Offset(119, 253),
    Offset(115, 253)
  ]),
  Unistroke('star', const [
    Offset(75, 250),
    Offset(75, 247),
    Offset(77, 244),
    Offset(78, 242),
    Offset(79, 239),
    Offset(80, 237),
    Offset(82, 234),
    Offset(82, 232),
    Offset(84, 229),
    Offset(85, 225),
    Offset(87, 222),
    Offset(88, 219),
    Offset(89, 216),
    Offset(91, 212),
    Offset(92, 208),
    Offset(94, 204),
    Offset(95, 201),
    Offset(96, 196),
    Offset(97, 194),
    Offset(98, 191),
    Offset(100, 185),
    Offset(102, 178),
    Offset(104, 173),
    Offset(104, 171),
    Offset(105, 164),
    Offset(106, 158),
    Offset(107, 156),
    Offset(107, 152),
    Offset(108, 145),
    Offset(109, 141),
    Offset(110, 139),
    Offset(112, 133),
    Offset(113, 131),
    Offset(116, 127),
    Offset(117, 125),
    Offset(119, 122),
    Offset(121, 121),
    Offset(123, 120),
    Offset(125, 122),
    Offset(125, 125),
    Offset(127, 130),
    Offset(128, 133),
    Offset(131, 143),
    Offset(136, 153),
    Offset(140, 163),
    Offset(144, 172),
    Offset(145, 175),
    Offset(151, 189),
    Offset(156, 201),
    Offset(161, 213),
    Offset(166, 225),
    Offset(169, 233),
    Offset(171, 236),
    Offset(174, 243),
    Offset(177, 247),
    Offset(178, 249),
    Offset(179, 251),
    Offset(180, 253),
    Offset(180, 255),
    Offset(179, 257),
    Offset(177, 257),
    Offset(174, 255),
    Offset(169, 250),
    Offset(164, 247),
    Offset(160, 245),
    Offset(149, 238),
    Offset(138, 230),
    Offset(127, 221),
    Offset(124, 220),
    Offset(112, 212),
    Offset(110, 210),
    Offset(96, 201),
    Offset(84, 195),
    Offset(74, 190),
    Offset(64, 182),
    Offset(55, 175),
    Offset(51, 172),
    Offset(49, 170),
    Offset(51, 169),
    Offset(56, 169),
    Offset(66, 169),
    Offset(78, 168),
    Offset(92, 166),
    Offset(107, 164),
    Offset(123, 161),
    Offset(140, 162),
    Offset(156, 162),
    Offset(171, 160),
    Offset(173, 160),
    Offset(186, 160),
    Offset(195, 160),
    Offset(198, 161),
    Offset(203, 163),
    Offset(208, 163),
    Offset(206, 164),
    Offset(200, 167),
    Offset(187, 172),
    Offset(174, 179),
    Offset(172, 181),
    Offset(153, 192),
    Offset(137, 201),
    Offset(123, 211),
    Offset(112, 220),
    Offset(99, 229),
    Offset(90, 237),
    Offset(80, 244),
    Offset(73, 250),
    Offset(69, 254),
    Offset(69, 252)
  ]),
  Unistroke('pigtail', const [
    Offset(81, 219),
    Offset(84, 218),
    Offset(86, 220),
    Offset(88, 220),
    Offset(90, 220),
    Offset(92, 219),
    Offset(95, 220),
    Offset(97, 219),
    Offset(99, 220),
    Offset(102, 218),
    Offset(105, 217),
    Offset(107, 216),
    Offset(110, 216),
    Offset(113, 214),
    Offset(116, 212),
    Offset(118, 210),
    Offset(121, 208),
    Offset(124, 205),
    Offset(126, 202),
    Offset(129, 199),
    Offset(132, 196),
    Offset(136, 191),
    Offset(139, 187),
    Offset(142, 182),
    Offset(144, 179),
    Offset(146, 174),
    Offset(148, 170),
    Offset(149, 168),
    Offset(151, 162),
    Offset(152, 160),
    Offset(152, 157),
    Offset(152, 155),
    Offset(152, 151),
    Offset(152, 149),
    Offset(152, 146),
    Offset(149, 142),
    Offset(148, 139),
    Offset(145, 137),
    Offset(141, 135),
    Offset(139, 135),
    Offset(134, 136),
    Offset(130, 140),
    Offset(128, 142),
    Offset(126, 145),
    Offset(122, 150),
    Offset(119, 158),
    Offset(117, 163),
    Offset(115, 170),
    Offset(114, 175),
    Offset(117, 184),
    Offset(120, 190),
    Offset(125, 199),
    Offset(129, 203),
    Offset(133, 208),
    Offset(138, 213),
    Offset(145, 215),
    Offset(155, 218),
    Offset(164, 219),
    Offset(166, 219),
    Offset(177, 219),
    Offset(182, 218),
    Offset(192, 216),
    Offset(196, 213),
    Offset(199, 212),
    Offset(201, 211)
  ]),
]);
